#include "ext_indexer.h"

#include <saas/rtyserver/indexer_core/abstract_model.h>

#include <kernel/tarc/dirconf/dirconf.h>

#include <library/cpp/logger/global/global.h>

TCateg TRTYMetaInfoCreator::AddCateg(const char* attrname, const char* categname) {
    TGuard<TMutex> g(Mutex);
    return NGroupingAttrs::TMetainfoCreator::AddCateg(attrname, categname);
}

void TRTYMetaInfoCreator::SaveC2NImpl(const TString& prefix) const {
    TGuard<TMutex> g(Mutex);
    NGroupingAttrs::TMetainfoCreator::SaveC2N(prefix);
}

void TRTYMetaInfoCreator::SaveC2N(const TString& /*prefix*/) const {
    return;
}

void TRTYMetaInfoCreator::LoadC2N(const NGroupingAttrs::TConfig& /*config*/, const TString& /*prefix*/) {
    FAIL_LOG("Incorrect rtymetacreator usage:: LoadC2N");
    return;
}
